STOFFGraphicShape Class Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
STOFFGraphicShape Class Reference

a structure used to define a picture shape More...

`#include <STOFFGraphicShape.hxx>`

## Public Types
enum | Command { C_Connector, C_Ellipse, C_Path, C_Polygon, C_Polyline, C_Rectangle, C_Unknown }
| an enum used to define the interface command More...

## Public Member Functions
| STOFFGraphicShape ()
| constructor More...
virtual | ~STOFFGraphicShape ()
| virtual destructor More...
void | addTo (librevenge::RVNGPropertyList &list) const
| add shape to property list More...

## Public Attributes
Command | m_command
| the command More...
STOFFBox2f | m_bdbox
| the shape bdbox in twip More...
librevenge::RVNGPropertyList | m_propertyList
| the property More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFGraphicShape const &sh)
| a print operator More...

## Detailed Description

a structure used to define a picture shape

## Member Enumeration Documentation

## ◆ Command

enum STOFFGraphicShape::Command

an enum used to define the interface command

Enumerator
C_Connector |
C_Ellipse |
C_Path |
C_Polygon |
C_Polyline |
C_Rectangle |
C_Unknown |

## Constructor & Destructor Documentation

## ◆ STOFFGraphicShape()

STOFFGraphicShape::STOFFGraphicShape | ( |  | ) |
| inline

constructor

## ◆ ~STOFFGraphicShape()

STOFFGraphicShape::~STOFFGraphicShape | ( |  | ) |
| virtual

virtual destructor

## Member Function Documentation

## ◆ addTo()

void STOFFGraphicShape::addTo | ( | librevenge::RVNGPropertyList & | list | ) | const

add shape to property list

Referenced by STOFFGraphicListener::insertShape(), STOFFTextListener::insertShape(), and STOFFSpreadsheetListener::insertShape().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFGraphicShape const & | sh
| ) |  |
| friend

a print operator

## Member Data Documentation

## ◆ m_bdbox

STOFFBox2f STOFFGraphicShape::m_bdbox

the shape bdbox in twip

Referenced by addTo(), operator<<(), and StarObjectSmallGraphicInternal::SdrGraphicRect::send().

## ◆ m_command

Command STOFFGraphicShape::m_command

the command

Referenced by STOFFGraphicListener::insertShape(), STOFFTextListener::insertShape(), STOFFSpreadsheetListener::insertShape(), operator<<(), StarObjectSmallGraphicInternal::SdrGraphicRect::send(), StarObjectSmallGraphicInternal::SdrGraphicCaption::send(), StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), StarObjectSmallGraphicInternal::SdrGraphicEdge::send(), StarObjectSmallGraphicInternal::SdrGraphicMeasure::send(), and StarObjectSmallGraphicInternal::SdrGraphicPath::send().

## ◆ m_extra

std::string STOFFGraphicShape::m_extra

extra data

Referenced by operator<<().

## ◆ m_propertyList

librevenge::RVNGPropertyList STOFFGraphicShape::m_propertyList

the property

Referenced by addTo(), STOFFSpreadsheetListener::insertShape(), operator<<(), StarObjectSmallGraphicInternal::SdrGraphicRect::send(), StarObjectSmallGraphicInternal::SdrGraphicCaption::send(), StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), StarObjectSmallGraphicInternal::SdrGraphicEdge::send(), StarObjectSmallGraphicInternal::SdrGraphicMeasure::send(), and StarObjectSmallGraphicInternal::SdrGraphicPath::send().

The documentation for this class was generated from the following files:

- STOFFGraphicShape.hxx
- STOFFGraphicShape.cxx